// Calcs needed for img offset
$columns-gap: 32;
$column-padding: $columns-gap / 2;

$content-wrap-width: 448;
$img-wrap-width-part-inside-content-wrap: 768; // part that fits inside of content wrap
$both-columns: $content-wrap-width + $img-wrap-width-part-inside-content-wrap;

$content-wrap-width-ratio: $content-wrap-width / $both-columns * 100%;
$content-wrap-width-width: calc(#{$content-wrap-width-ratio} - #{$column-padding}px);

$img-wrap-inside-content-wrap-width-ratio: $img-wrap-width-part-inside-content-wrap / $both-columns * 100%;
$img-wrap-inside-content-wrap-width: calc(#{$img-wrap-inside-content-wrap-width-ratio} - #{$column-padding}px);

$img-wrap-right-offset-formula: 'var(--content-wrapper-padding) + ( (var(--wide-content-wrapper-width) - var(--content-wrapper-width)) / 2 )';
$img-wrap-right-offset: calc((#{$img-wrap-right-offset-formula}) * -1);

$img-wrap-width: calc(100% + (#{$img-wrap-right-offset-formula})); // 100% is relative to grid-column-calculated width

.Contact {
    &-Field,
    textarea,
    &-Button.Button {
        width: 100%;
    }

    &-address-wrap {
        padding-bottom: 3rem;
    }

    &-address-block {
        display: grid;
        grid-template-columns: 36px auto;
        column-gap: 16px;
        line-height: 1.23;
    }

    &-address-block-icon-wrap {
        width: 36px;
        height: 36px;
        border-radius: 50%;
        position: relative;
        background: $black;
    }

    &-address-block-icon {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
    }

    &-address-wrap {
        padding-top: 1.5rem;
        padding-bottom: 3rem;
    }

    .vcard {
        .www {
            display: none;
        }
        .org-title {
            padding-bottom: 8px;
            font-size: 14px;
            line-height: 1.4;
        }
    }

    @include mobile {
        margin-top: 0;
        &-address-wrap {
            padding-top: 3rem;
        }
    }

    &-subject-label {
        bottom: -11px;
        font-size: 14px;
        text-transform: uppercase;
        line-height: 24px;
    }

    @include after-mobile {
        margin-top: 180px;
        &-subject-label {
            display: none;
        }
    }

    @include before-desktop {
        &-img-wrap {
            display: none;
        }
    }

    @include desktop {
        margin-top: 0;

        &-Wrapper {
            display: grid;
            grid-template-areas:
                'contact-form contact-img'
                'contact-address contact-address';
            grid-template-rows: auto auto;
            grid-template-columns: $content-wrap-width-width $img-wrap-inside-content-wrap-width;
            column-gap: #{$columns-gap}px;
        }

        &-form-wrap {
            grid-area: contact-form;
        }

        &-img-wrap {
            width: $img-wrap-width;
            margin-top: -40px;
            margin-right: #{$img-wrap-right-offset};
            grid-area: contact-img;
            img {
                max-width: 100%;
            }
        }

        &-address-wrap {
            grid-area: contact-address;
        }

        // non bem here as vcard doesnt utilise bem
    }

    &-Button.Button {
        border-color: $default-secondary-base-color;
        margin-top: 24px;
        color: $black;
        background-color: $default-secondary-base-color;
    }
}

.prm .Contact {
    margin-top: var(--header-nav-height);

    @include desktop {
        margin-top: calc(var(--header-total-height) - 10px);
    }

    &-Container {
        overflow: hidden;
        width: 100%;
        background-color: #f7f7f7;
    }

    &-Wrapper {
        display: block;
        width: 100%;
        padding: 37px 15px;

        @include tablet {
            width: 448px;
            padding: 55px 0;
        }

        @include desktop {
            display: grid;
            width: var(--wide-content-wrapper-width);
            max-width: var(--wide-content-wrapper-width);
            padding: 60px 0 0 96px;
            grid-template-columns: 448px auto;
        }
    }

    &-Content {
        display: flex;
        flex-wrap: wrap;
    }

    &-form-wrap {
        h1 {
            font-weight: 500;
            text-transform: uppercase;
        }

        .FieldSelect select,
        .FieldSelect-Option {
            text-transform: uppercase;
        }
    }

    &-img-wrap {
        width: 608px;
        margin: 0;
        margin-top: 0;
        justify-self: end;
    }

    &-Button.Button {
        border-color: #000;
        margin-top: 24px;
        color: $white;
        background-color: #000;
    }

    .PrmContactPage {
        &__Tile {
            width: 100%;
            padding: 40px;
            margin: 20px auto 0;
            background-color: #f5f5f5;

            @include after-mobile {
                width: 448px;
                padding: 64px;
            }

            @include desktop {
                margin: 60px 0;

                &:first-child {
                    margin-right: 32px;
                }
            }

            h1 {
                margin-bottom: 7px;
                font-size: 20px;
            }

            p {
                margin-bottom: 7px;
                font-size: 12px;

                &:first-of-type {
                    font-size: 14px;
                    font-weight: 500;
                }
            }

            &-Subheader {
                font-size: 14px;
            }
        }

        &__Showroom {
            width: 100%;
            margin: 20px auto;
            background-color: #f5f5f5;

            @include tablet {
                width: 448px;
            }

            @include desktop {
                display: grid;
                width: var(--wide-content-wrapper-width);
                max-width: var(--wide-content-wrapper-width);
                margin: 0 auto 60px;
                grid-template-columns: 448px auto;
                column-gap: #{$columns-gap}px;
            }

            &-Tile {
                padding: 40px;
                padding-left: 80px;

                @include after-mobile {
                    // padding: 64px;
                    padding-left: 105px;
                }

                h1 {
                    margin-bottom: 4px;
                    font-size: 20px;

                    &::before {
                        position: absolute;
                        top: 10px;
                        left: -40px;
                        content: url('../../style/images/contact_pin.svg');
                    }
                }

                p {
                    margin-bottom: 7px;
                    font-size: 12px;
                }
            }

            &-Image {
                width: 100%;

                .Discover-Showroom-Button {
                    display: block;
                    width: 192px;
                    padding: 12px 16px;
                    position: absolute;
                    top: 50%;
                    left: 50%;
                    transform: translate(-50%, -50%);
                    background-color: #fff;
                    font-size: 14px;
                    font-weight: 600;
                    text-transform: uppercase;
                    line-height: 24px;

                    &::after {
                        position: absolute;
                        top: 14px;
                        right: 20px;
                        content: url('../../style/images/contact_showroom_arrow.svg');
                    }
                }

                .Image {
                    display: none;

                    @include before-desktop {
                        padding-bottom: 48.78% !important;
                    }

                    @include desktop {
                        padding-bottom: 248px;
                    }

                    &:nth-child(1) {
                        @include desktop {
                            display: block;
                        }
                    }

                    &:nth-child(2) {
                        @include before-desktop {
                            display: block;
                        }
                    }

                    img {
                        width: 100% !important;
                        height: 100% !important;
                        object-fit: contain;

                        @include desktop {
                            object-fit: cover;
                        }
                    }
                }
            }
        }
    }

    &-Map {
        margin-bottom: 60px;
    }
}
